質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.01%

Docker上のlaravel-mix (Laravel5.5) で、npm installできない(Error: pngquant failed to build)

解決済

回答 3

投稿

  • 評価
  • クリップ 0
  • VIEW 1,033

darum

score 53

起きていること

一部省略しますが、以下のような状況です

 docker-compose run front_npm install
npm WARN deprecated browserslist@2.11.3: Browserslist 2 could fail on reading Browserslist >3.0 config used in other tools.
npm WARN deprecated browserslist@1.7.7: Browserslist 2 could fail on reading Browserslist >3.0 config used in other tools.
npm WARN deprecated gulp-util@3.0.8: gulp-util is deprecated - replace it, following the guidelines at https://medium.com/gulpjs/gulp-util-ca3b1f9f9ac5

> pngquant-bin@4.0.0 postinstall /laravel/node_modules/imagemin-pngquant/node_modules/pngquant-bin
> node lib/install.js

  ⚠ spawn /laravel/node_modules/imagemin-pngquant/node_modules/pngquant-bin/vendor/pngquant ENOENT
  ⚠ pngquant pre-build test failed
  ℹ compiling from source
  ✔ pngquant pre-build test passed successfully
  ✖ Error: pngquant failed to build, make sure that libpng-dev is installed
    at Promise.all.then.arr (/laravel/node_modules/bin-build/node_modules/execa/index.js:231:11)
    at <anonymous>
    at process._tickCallback (internal/process/next_tick.js:189:7)

確認したこと

  • libpng_dev はインストールしたつもり(ソース類参照)
  • (とりあえず)この記事を参考に、opensslとbashは明示的にインストール

ソース類

# docker-compose.yml
services:
  front_npm:
    build:
      context: ./
      dockerfile: ./npm/Dockerfile
    volumes:
      - ./front:/laravel
    user: "${UID}"
    environment:
      - TZ=Asia/Tokyo
# npm/Dockerfile
FROM node:8-alpine

RUN apk --no-cache update && \
    apk --no-cache upgrade && \
    apk --no-cache add \
        libpng-dev \
        openssl \
        bash && \
    npm update -g npm && \
    npm cache verify

ENV HOME=/laravel
WORKDIR /laravel

ENTRYPOINT ["npm"]
CMD ["-h"]

環境

CentOS Linux release 7.4.1708 (Core)
docker-compose version 1.12.0, build b31ff33
Docker version 18.06.1-ce, build e68fc7a

npm installが成功できるアドバイスお願いいたします

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 3

check解決した方法

0

だいぶ経ってしまいましたが、結局下記の方法でやっています。

FROM debian:jessie

RUN apt-get update -y
RUN apt-get install -y curl git libpng-dev make
RUN curl -sL https://deb.nodesource.com/setup_8.x | bash --
RUN apt-get install -y nodejs
RUN npm update -g npm
RUN npm i -g npm
RUN npm cache verify

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

0

https://qiita.com/hokutoasari/items/e01179cd3bb0e2fd74af
上記記事は参考になりませんか?

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/12/18 23:38

    記事の通り、
    openssl \
    bash
    を入れていますがエラーとなりました故、参考にはなりませんでしたね。

    キャンセル

0

自分の環境では musl-dev をつけたらうまくいきました。

RUN apk add autoconf git libpng-dev bash gcc make openssl musl-dev --no-cache

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.01%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる